
From: Domen Puncer <domen@coderock.org>

Use ssleep() instead of schedule_timeout() to guarantee the task
delays as expected.

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/traps.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN arch/i386/kernel/traps.c~i386-traps-replace-schedule_timeout-with-ssleep arch/i386/kernel/traps.c
--- 25/arch/i386/kernel/traps.c~i386-traps-replace-schedule_timeout-with-ssleep	2005-03-10 19:37:55.000000000 -0800
+++ 25-akpm/arch/i386/kernel/traps.c	2005-03-10 19:37:55.000000000 -0800
@@ -387,8 +387,7 @@ void die(const char * str, struct pt_reg
 
 	if (panic_on_oops) {
 		printk(KERN_EMERG "Fatal exception: panic in 5 seconds\n");
-		set_current_state(TASK_UNINTERRUPTIBLE);
-		schedule_timeout(5 * HZ);
+		ssleep(5);
 		panic("Fatal exception");
 	}
 	do_exit(SIGSEGV);
_
